/* Textarea ================ */

:root {
  --textarea-height: 150px;
  --textarea-padding-vertical: 17px;
  --textarea-padding-horizontal: 20px;
  --textarea-border-radius: 10px;
  --textarea-font-size: var(--text-size-main);
  --textarea-color: var(--color-black-light);
  --textarea-border: 1px solid var(--color-white);
  --textarea-background-color: var(--color-white);

  --textarea-placeholder-color: color-mod(var(--color-black-light) lightness(20%));
}

.textarea {
  width: 100%;
  height: var(--textarea-height);
  padding: var(--textarea-padding-vertical) var(--textarea-padding-horizontal);
  border: var(--textarea-border);
  border-radius: var(--textarea-border-radius);
  color: var(--textarea-color);
  font-size: var(--textarea-font-size);
  background-color: var(--textarea-background-color);
  transition: var(--transition-time) var(--transition-type);

  &::placeholder {
    color: var(--textarea-placeholder-color);
  }

  &:focus {
    outline: none;

    &::placeholder {
      color: transparent;
    }
  }

  &.error {
    border-color: var(--color-error);
  }
}
/* ================ end textarea */
